bridge.account_notifications
Purpose
Notifiche (notification) di un account.
Valori supportati per type:
new_community- è stata creata una nuova comunità (community)set_role- un mod/admin assegna un ruolo a un accountset_props- proprietà impostate per una comunitàset_label- un titolo/distintivo/etichetta è stato assegnato a un accountmute_post- un post è stato messo in mute, con un motivounmute_post- a un post è stato tolto il mute, con un motivopin_post- un post è stato fissato in alto (pin)unpin_post- il pin di un post è stato rimossoflag_post- un post è stato segnalato (flag) da un membro, con un motivoerror- fornisce un feedback agli sviluppatori per le operazioni che non possono essere interpretatesubscribe- un account si è iscritto a una comunitàreply- un post ha ricevuto una rispostareblog- un post è stato rebloggato/resteematofollow- un account ha iniziato a seguirne un altromention- l’autore menziona un accountvote- un votante vota per un autore
Il valore score si basa sul rank dell’account di origine.
Parameters
PARAMETERS
json
{
"account": "alice",
"limit": 100
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "bridge.account_notifications",
"params": {
"account": "alice",
"limit": 100
},
"id": 1
}'Response
RESPONSE
json
[
{
"id": 3629306,
"type": "vote",
"score": 25,
"date": "2019-11-20T07:48:06",
"msg": "@bob voted on your post ($0.013)",
"url": "@alice/a-post-by-alice"
}
]